Proactive

API / V1

Tasks

8 endpoints in this section.

GET/api/v1/projects/{projectId}/tasks

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
projectIdstringYes

Unique identifier of the project.

-
statusstringYes

Current status value for filtering or updates.

DRAFT, TODO, IN_PROGRESS, REVIEW, TESTING, DONE, BLOCKED, ON_HOLD
pagenumberNo

Page number for paginated results.

-
pageSizenumberNo

Number of items returned per page.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

POST/api/v1/projects/{projectId}/tasks

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
projectIdstringYes

Unique identifier of the project.

-
titlestringYes

Main title of the resource.

-
descriptionstringNo

Short textual description.

-
statusstringNo

Current status value for filtering or updates.

DRAFT, TODO, IN_PROGRESS, REVIEW, TESTING, DONE, BLOCKED, ON_HOLD
prioritystringNo

Priority level used for ordering work.

LOW, MEDIUM, HIGH, URGENT
typestringYes

Domain category/type of the item.

FEATURE, TESTS, BUG_FIX, UI_UPDATE, PERFORMANCE_UPLIFT, INVESTIGATION
bugSeveritystringNo

Severity level when task type is BUG_FIX.

Task's bug severity passed value is ignored (remains null) unless the task type is BUG_FIX.
LOW, MODERATE, HIGH, CRITICAL, FATAL
assignedToIdstringNo

User ID assigned to this task.

-
dueDatestring (date)No

Expected completion date (ISO date).

-
estimatedHoursnumberNo

Estimated effort in hours.

-

Security Warning:

Task's bug severity passed value is ignored (remains null) unless the task type is BUG_FIX.

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/projects/{projectId}/tasks/{taskId}

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
projectIdstringYes

Unique identifier of the project.

-
taskIdstringYes

Unique identifier of the task.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

PATCH/api/v1/projects/{projectId}/tasks/{taskId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
projectIdstringYes

Unique identifier of the project.

-
taskIdstringYes

Unique identifier of the task.

-
titlestringNo

Main title of the resource.

-
descriptionstringNo

Short textual description.

-
statusstringNo

Current status value for filtering or updates.

DRAFT, TODO, IN_PROGRESS, REVIEW, TESTING, DONE, BLOCKED, ON_HOLD
prioritystringNo

Priority level used for ordering work.

LOW, MEDIUM, HIGH, URGENT
typestringNo

Domain category/type of the item.

FEATURE, TESTS, BUG_FIX, UI_UPDATE, PERFORMANCE_UPLIFT, INVESTIGATION
bugSeveritystringNo

Severity level when task type is BUG_FIX.

bugSeverity is ignored (remains null) unless task type is BUG_FIX.
LOW, MODERATE, HIGH, CRITICAL, FATAL, null
assignedToIdstringNo

User ID assigned to this task.

-
dueDatestring (date)No

Expected completion date (ISO date).

-
estimatedHoursnumberNo

Estimated effort in hours.

-

Security Warning:

At least one field is required.

bugSeverity is ignored (remains null) unless task type is BUG_FIX.

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

DELETE/api/v1/projects/{projectId}/tasks/{taskId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
projectIdstringYes

Unique identifier of the project.

-
taskIdstringYes

Unique identifier of the task.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/tasks/{taskId}/github/pull-requests

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
taskIdstringYes

Unique identifier of the task.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.